package models

type QualityControlStandard struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	InspectionMajor int64  `gorm:"column:inspection_major" json:"inspection_major" form:"inspection_major"`
	InspectionMinor int64  `gorm:"column:inspection_minor" json:"inspection_minor" form:"inspection_minor"`
	MinRange        string `gorm:"column:min_range" json:"min_range" form:"min_range"`
	Sort            string `gorm:"column:sort" json:"sort" form:"sort"`
	UserOrgId       int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status          int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime     int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime     int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	LargeRange      string `gorm:"column:large_range" json:"large_range" form:"large_range"`
	Unit            string `gorm:"column:unit" json:"unit" form:"unit"`
	ProjectName     string `gorm:"column:project_name" json:"project_name" form:"project_name"`
	ItemName        string `gorm:"column:item_name" json:"item_name" form:"item_name"`
}

type XtQualityControlStandard struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	InspectionMajor int64  `gorm:"column:inspection_major" json:"inspection_major" form:"inspection_major"`
	InspectionMinor int64  `gorm:"column:inspection_minor" json:"inspection_minor" form:"inspection_minor"`
	MinRange        string `gorm:"column:min_range" json:"min_range" form:"min_range"`
	Sort            string `gorm:"column:sort" json:"sort" form:"sort"`
	UserOrgId       int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status          int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime     int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime     int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	LargeRange      string `gorm:"column:large_range" json:"large_range" form:"large_range"`
}

func (XtQualityControlStandard) TableName() string {
	return "xt_quality_control_standard"
}
